package com.czg.market.service;

import com.czg.PageQueryParam;
import com.czg.market.dto.MkLimitTimeDiscountDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.MkLimitTimeDiscount;

/**
 * 限时折扣 服务层。
 *
 * @author ww
 * @since 2025-10-21
 */
public interface MkLimitTimeDiscountService extends IService<MkLimitTimeDiscount> {
    Page<MkLimitTimeDiscountDTO> getLimitTimeDiscountPage(PageQueryParam param, Long shopId);

    MkLimitTimeDiscount getLimitTimeDiscountByShopId(Long shopId);

    void addLimitTimeDiscount(MkLimitTimeDiscountDTO param);

    void updateLimitTimeDiscountById(MkLimitTimeDiscountDTO param);

    void deleteLimitTimeDiscount(Long id);
}
